Bug 427933 - XMLRPC function getBugFields
XMLRPC function getBugFields
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: WebService (Show other bugs)
3.2
All Linux
high Severity medium (vote)
: ---
: ---
Assigned To: Noura El hawary
: Reopened
Depends On:
Blocks: 406131 427053
  Show dependency treegraph
 
Reported: 2008-01-07 21:05 EST by Noura El hawary
Modified: 2013-06-24 00:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-05 18:21:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
v1 for xmlrpc function Bug.get_fields + pod (1.33 KB, patch)
2009-02-05 04:30 EST, Noura El hawary
dkl: review+
Details | Diff

  None (edit)
Description Noura El hawary 2008-01-07 21:05:14 EST
write xmlrpc function getBugFields that is to be contributed to the upstream.
Please refer to the following url for details on Bugzilla::RPC 2.18 functions mapped to upstream Bugzilla::WebService and for 2.18 xmlrpc functions sorted by percentage of calls: https://engineering.redhat.com/trac/bugzilla-3.0-rh/wiki/XmlrpcCrossComparison#a2.18xmlrpcfunctionssortedbypercentageofcalls
Comment 1 Noura El hawary 2008-11-27 02:18:06 EST
This function has already been ported.
Comment 2 Noura El hawary 2008-11-27 02:20:50 EST
reopening, I guess will need to add it to the 3.2 WebService API if it is needed.

Noura
Comment 3 Noura El hawary 2009-02-04 01:30:09 EST
Hey Dave, 

I see you have ported the xmlrpc function getBugFields from bz2.18 to bz3.2 extension compat_xmlrpc, do you think we should create this function in the actual WebService API interface say we would have it as Bug.get_fields ?

Noura
Comment 4 David Lawrence 2009-02-04 15:48:56 EST
(In reply to comment #3)
> Hey Dave, 
> 
> I see you have ported the xmlrpc function getBugFields from bz2.18 to bz3.2
> extension compat_xmlrpc, do you think we should create this function in the
> actual WebService API interface say we would have it as Bug.get_fields ?
> 
> Noura

Yes I think it would be a good idea to convert or duplicate this feature in the 3.2 API. Let me know if you want to take this on or if you need me to look at it.

Thanks
Dave
Comment 5 Noura El hawary 2009-02-04 22:54:03 EST
hey Dave, it should be fine i can this one :).

Thanks,
Noura
Comment 6 Noura El hawary 2009-02-05 04:30:27 EST
Created attachment 330975 [details]
v1 for xmlrpc function Bug.get_fields + pod

attached a patch for new xmlrpc functions called Bug.get_fields it besically does the same as the current webservice extension function bugzilla.getBugFields, i have removed the group checking for the custom fields as all that is done in Bugzilla->get_fields() in the filter_custom_fields hook. 

Noura
Comment 7 David Lawrence 2009-02-05 17:21:42 EST
Comment on attachment 330975 [details]
v1 for xmlrpc function Bug.get_fields + pod

Looks good Noura. Works too.

Dave
Comment 8 Noura El hawary 2009-02-05 18:21:03 EST
Thanks for the review Dave, committed to cvs.

Noura

Note You need to log in before you can comment on or make changes to this bug.